package game;

import main.TestGame;

public class World {
	public int[] pixels;
	public int width;
	public int height;
	public int x, y;
	
	public World(int x, int y, int w, int h) {
		this.x = x;
		this.y = y;
		this.width = w;
		this.height = h;
	}
	
	public void clearWorld(TestGame game, int[] data) {
		for (int a = y; a < y + height; a++) {
			for (int b = x; b < x + width; b++) {
				if (a == y || a == y + height - 1 || b == x || b == x + width - 1)
					data[a * game.WIDTH + b] = -1;
			}
		}
	}
	
	public void setPlayer(int[] data, Player player) {
		
		data[(y + player.yPosition) * TestGame.WIDTH + (x + player.xPosition)] = player.colorFlag;
		return;
	}
	
	public void setMob(int[] data, Mob mob) {
		
		data[(y + mob.yPosition) * TestGame.WIDTH + (x + mob.xPosition)] = mob.colorFlag;
		return;
	}
	

}
